=== debian/changelog ===
uriparser (0.9.4+dfsg-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * UriNormalize.c: Fix .hostText copying in uriMakeOwnerEngine
    (CVE-2021-46141)
  * UriParse.c: Adjust uriFreeUriMembers* to fixed uriMakeOwner* behavior
    (CVE-2021-46141)
  * UriNormalize.c: Fix handling of empty segments in uriPreventLeakage
    (CVE-2021-46142)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Jan 2022 16:13:58 +0100

uriparser (0.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Migrate to debhelper-compat 13:
    - Remove debian/compat.
    - Bump minimum debhelper-compat version in debian/control to = 13.
    - New debian/not-installed:
      + Add all files of dh_missing errors.
  * Add suffix +dfsg to changelog version number to make lintian happy.
  * debian/watch:
    - Add +dsfg stuff.
  * debian/control:
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Add year 2020 to myself.
  * debian/not-installed:
    - Remove architecture specific path.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 17 Oct 2020 19:26:34 +0200
