=== debian/control ===
Source: uriparser
Section: libs
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec (>=0.3),
 doxygen,
 graphviz,
 libgtest-dev,
 libqt5sql5-sqlite,
 qtbase5-dev,
 qttools5-dev-tools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://uriparser.sourceforge.net
Vcs-Git: git://jff.email/opt/git/uriparser.git
Vcs-Browser: https://jff.email/cgit/uriparser.git

Package: liburiparser1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: URI parsing library compliant with RFC 3986
 uriparser is a library that parses Uniform Resource Identifiers (URIs),
 strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
 are used to identify resources, like http://www.debian.org/ or
 urn:isbn:0-395-36341-1.
 .
 uriparser has the following features:
 .
  * strictly compliant to RFC 3986, implementing:
    + parsing
    + reference resolution
    + reference creation
    + recomposition
    + syntax-based normalization
  * fast (linear input length time complexity)
  * unicode support

Package: liburiparser-dev
Architecture: any
Section: libdevel
Depends:
 liburiparser1 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for uriparser
 This package provides the development files for uriparser, a library to parse
 Uniform Resource Identifiers (URIs). Install it if you want to compile a
 program that makes use of this library.

Package: liburiparser-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: documentation files for uriparser
 uriparser is a library that parses Uniform Resource Identifiers (URIs),
 strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
 are used to identify resources, like http://www.debian.org/ or
 urn:isbn:0-395-36341-1.  This package provides the documentation
 files for uriparser.
