=== debian/changelog ===
uriparser (0.9.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.0.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 19 Aug 2021 19:44:00 +0200

uriparser (0.9.5+dfsg-1) experimental; urgency=medium

  * New upstream release:
    - Rebase patches.
    - Fix debain/not-installed.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * debian/control:
    - Remove Build-Depend dh-exec.
  * debian/copyright:
    - Add year 2021 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 26 Apr 2021 22:19:23 +0200
