=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-exec (>=0.3),
  doxygen,
  graphviz,
  libgtest-dev,
  libqt5sql5-sqlite,
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.0
 Rules-Requires-Root: no
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
