=== debian/changelog ===
uriparser (0.9.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix for CVE-2021-46141 and CVE-2021-46142.
  * Fix debian/not-installed.
  * debian/copyright:
    - Add year 2022 to myself.
  * Declare compliance with Debian Policy 4.6.0.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Jan 2022 19:53:25 +0100
