=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libqt5sql5-sqlite,
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.6.0.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
