## uriparser 0.9.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,14 +38,14 @@
 
 project(uriparser
     VERSION
-        0.9.6
+        0.9.7
     LANGUAGES
         C
 )
 
 # See https://verbump.de/ for what these numbers do
 set(URIPARSER_SO_CURRENT    1)
-set(URIPARSER_SO_REVISION  29)
+set(URIPARSER_SO_REVISION  30)
 set(URIPARSER_SO_AGE        0)
 
 include(CheckCCompilerFlag)
@@ -110,11 +110,11 @@
 endif()
 
 #
-# config.h
+# UriConfig.h
 #
 check_symbol_exists(wprintf wchar.h HAVE_WPRINTF)
 check_function_exists(reallocarray HAVE_REALLOCARRAY)  # no luck with CheckSymbolExists
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/UriConfig.h.in config.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/UriConfig.h.in UriConfig.h)
 
 #
 # C library
@@ -193,7 +193,7 @@
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
     PRIVATE
-        ${CMAKE_CURRENT_BINARY_DIR}  # for config.h
+        ${CMAKE_CURRENT_BINARY_DIR}  # for UriConfig.h
 )
 
 uriparser_install(
@@ -288,7 +288,7 @@
 
     target_include_directories(testrunner PRIVATE
         ${CMAKE_CURRENT_SOURCE_DIR}/include
-        ${CMAKE_CURRENT_BINARY_DIR}  # for config.h
+        ${CMAKE_CURRENT_BINARY_DIR}  # for UriConfig.h
     )
 
     target_link_libraries(testrunner PUBLIC
@@ -362,4 +362,3 @@
         set(GENERATE_HTMLHELP NO)
     endif()
     if(QHG_LOCATION)
-        set(GENERATE_QHP YES)
