=== debian/changelog ===
uriparser (0.9.7+dfsg-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:50:40 +0200

uriparser (0.9.7+dfsg-2) unstable; urgency=medium

  * debian/liburiparser-dev.install:
    - Add usr/lib/*/cmake/uriparser-* (Closes: +1029143).
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/copyright:
    - Add year 2023 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 29 Jan 2023 12:36:36 +0100

uriparser (0.9.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 29 Oct 2022 23:03:54 +0200
