=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -11,7 +12,7 @@
  libqt5sql5-sqlite,
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
