## uriparser 0.9.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,18 +34,18 @@
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
-cmake_minimum_required(VERSION 3.3)
+cmake_minimum_required(VERSION 3.5.0)
 
 project(uriparser
     VERSION
-        0.9.7
+        0.9.8
     LANGUAGES
         C
 )
 
 # See https://verbump.de/ for what these numbers do
 set(URIPARSER_SO_CURRENT    1)
-set(URIPARSER_SO_REVISION  30)
+set(URIPARSER_SO_REVISION  31)
 set(URIPARSER_SO_AGE        0)
 
 include(CheckCCompilerFlag)
@@ -58,7 +58,12 @@
 #
 # Configuration
 #
-option(BUILD_SHARED_LIBS "Build shared libraries (rather than static ones)" ON)
+if(DEFINED BUILD_SHARED_LIBS)
+    set(_URIPARSER_SHARED_LIBS_DEFAULT ${BUILD_SHARED_LIBS})
+else()
+    set(_URIPARSER_SHARED_LIBS_DEFAULT ON)
+endif()
+option(URIPARSER_SHARED_LIBS "Build shared libraries (rather than static ones)" ${_URIPARSER_SHARED_LIBS_DEFAULT})
 option(URIPARSER_BUILD_DOCS "Build API documentation (requires Doxygen, Graphviz, and (optional) Qt's qhelpgenerator)" ON)
 option(URIPARSER_BUILD_TESTS "Build test suite (requires GTest >=1.8.0)" ON)
 option(URIPARSER_BUILD_TOOLS "Build tools (e.g. CLI \"uriparse\")" ON)
@@ -81,6 +86,12 @@
 if(URIPARSER_BUILD_TESTS)
     # We have to call enable_language() before modifying any CMAKE_CXX_* variables
     enable_language(CXX)
+endif()
+
+if(URIPARSER_SHARED_LIBS)
+    set(_URIPARSER_STATIC_OR_SHARED SHARED)
+else()
+    set(_URIPARSER_STATIC_OR_SHARED STATIC)
 endif()
 
 macro(uriparser_apply_msvc_runtime_to ref)
@@ -151,6 +162,7 @@
 )
 
 add_library(uriparser
+    ${_URIPARSER_STATIC_OR_SHARED}
     ${API_HEADER_FILES}
     ${LIBRARY_CODE_FILES}
 )
@@ -175,7 +187,7 @@
 )
 
 target_compile_definitions(uriparser PRIVATE URI_LIBRARY_BUILD)
-if (NOT BUILD_SHARED_LIBS)
+if (NOT URIPARSER_SHARED_LIBS)
     target_compile_definitions(uriparser PUBLIC URI_STATIC_BUILD)
 endif()
 if(NOT URIPARSER_BUILD_CHAR)
@@ -347,18 +359,3 @@
             get_target_property(QHG_LOCATION Qt5::qhelpgenerator LOCATION)
             mark_as_advanced(Qt5Core_DIR)
             mark_as_advanced(Qt5Gui_DIR)
-            mark_as_advanced(Qt5Help_DIR)
-            mark_as_advanced(Qt5Sql_DIR)
-            mark_as_advanced(Qt5Widgets_DIR)
-        endif()
-    endif()
-
-    include(FindHTMLHelp)
-
-    # Generate Doxyfile
-    if(HTML_HELP_COMPILER)
-        set(GENERATE_HTMLHELP YES)
-    else()
-        set(GENERATE_HTMLHELP NO)
-    endif()
-    if(QHG_LOCATION)
