=== debian/changelog ===
uriparser (0.9.8+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Fix Vcs-Git URL.
  * Declare compliance with Debian Policy 4.7.0.1 (No changes needed).
  * debian/copyright:
    - Rewrite to make lrc happy.
    - Add Upstream-Contact.
  * debian/patches/0001-missing_pthread.patch:
    - Add Forwarded: not-needed.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 13 Nov 2024 18:57:53 +0100

uriparser (0.9.8+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Fixes CVE-2024-34402, CVE-2024-34403 (Closes: #1070376).
  * debian/changelog:
    - Add year 2024 to myself.
  * debian/control:
    - Change to new repository URL.
  * Declare compliance with Debian Policy 4.7.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 11 Jul 2024 16:49:54 +0200
