=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,11 +11,11 @@
  libqt5sql5-sqlite,
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.1
 Rules-Requires-Root: no
-Homepage: http://uriparser.sourceforge.net
-Vcs-Git: git://jff.email/opt/git/uriparser.git
-Vcs-Browser: https://jff.email/cgit/uriparser.git
+Homepage: https://uriparser.github.io/
+Vcs-Git: https://git.jff.email/cgit/uriparser.git
+Vcs-Browser: https://git.jff.email/cgit/uriparser.git
 
 Package: liburiparser1
 Architecture: any
