=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*$//,filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/uriparser-$1\.tar\.gz/,repack,repacksuffix=+dfsg," \
https://github.com/uriparser/uriparser/tags .*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|uriparser(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
